Subject: Re: [PATCH] log: convert to parse-options

From: Carlos Martín Nieto <[email-masked]>
Date: Wed, 20 Apr 2011 16:51:20 +0200

On Tue, Apr 19, 2011 at 10:38:17PM -0400, Jeff King wrote:
> On Tue, Apr 19, 2011 at 02:33:31PM +0200, =?UTF-8?q?Carlos=20Mart=C3=ADn=20Nieto?= wrote:
> 
> > Signed-off-by: Carlos Martín Nieto <[email-masked]>
> 
> This is not about your patch at all, but rather that I notice in your
> "From" header that your name is doubly rfc2047-encoded. It looks like
> this:
> 
>   From: =?us-ascii?B?PT9VVEYtOD9xP0Nhcmxvcz0yME1hcnQ9QzM9QURuPTIwTmlldG8/?=
>     =?us-ascii?Q?=3D?= <[email-masked]>
> 
> which decodes to the literal string:
> 
>   =?UTF-8?q?Carlos=20Mart=C3=ADn=20Nieto?=
> 
> which in turn decodes again to your proper name.
> 

Ah, so that's what been going on.

> We made some changes to format-patch's quoting recently, and I want to
> make sure this is not a regression. Can you describe your workflow for
> sending these patches? What I think probably happened is:
> 
>   1. format-patch encoded your name because of the non-ascii characters
> 
>   2. the result was fed literally into mutt via cut-and-paste or
>      otherwise pulled into the editor, rather than "mutt -f patch-file".
> 
> Which is not a regression, but just an annoying behavior that has been
> there for a while[1]. But I wanted to double-check.

As I was only sending one patch, I did what the intertubes suggested
and used "mutt -H patch-file" which I guess that's the problem. I only
noticed this because someone mentioned it, after I sent another patch.

So no regression, and a --leave-utf8-alone option would be useful here.

Cheers,
   cmn